package kr.co.hanwha.hifive.data.model;

import android.text.TextUtils;

/**
 * 캠페인 정보
 * Created by sanghoonkwon on 2018. 2. 21..
 */

public class CampaignData {
    /**
     * Campaign id
     */
    int campaign_id;
    /**
     * Campaign description
     */
    String campaign_desc;
    /**
     * "2018-02-14 00:00:00.0"
     */
    String campaign_due_to;
    /**
     * 40
     */
    int project_id;
    /**
     * "우주최강개발"
     */
    String project_name;

    public CampaignData() {

    }

    public CampaignData(int campaign_id, String campaign_desc, String campaign_due_to, int project_id, String project_name, boolean isFirstItem) {
        this.campaign_id = campaign_id;
        this.campaign_desc = campaign_desc;
        this.campaign_due_to = campaign_due_to;
        this.project_id = project_id;
        this.project_name = project_name;
        this.isFirstItem = isFirstItem;
    }

    public String getKey() {
        return project_id + "_" + campaign_id;
    }

    boolean isFirstItem = false;

    public boolean isFirstItem() {
        return isFirstItem;
    }

    public void setFirstItem(boolean firstItem) {
        isFirstItem = firstItem;
    }

    public int getCampaign_id() {
        return campaign_id;
    }

    public String getCampaign_desc() {
        return campaign_desc;
    }

    public String getCampaign_due_to() {
        return campaign_due_to;
    }

    public int getProject_id() {
        return project_id;
    }

    public String getProject_name() {
        return project_name;
    }

    @Override
    public String toString() {
        return "CampaignData{" +
                "campaign_id=" + campaign_id +
                ", campaign_desc='" + campaign_desc + '\'' +
                ", campaign_due_to='" + campaign_due_to + '\'' +
                ", project_id=" + project_id +
                ", project_name='" + project_name + '\'' +
                ", isFirstItem=" + isFirstItem +
                '}';
    }
}
/*
{
    "campaign_id": 56,
    "description": "누가 일했었는지 모르게 하라"
}
*/